src/HCUE/PacienteBundle/Entity/Aceptavacuna.php
<?php
/*
* @autor Luis Núñez
*/

namespace HCUE\PacienteBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * @ORM\Table(name="hcue_amed.aceptavacuna")
 * @ORM\Entity(repositoryClass="HCUE\PacienteBundle\Entity\Repository\AceptavacunaRepository")
 * @ORM\HasLifecycleCallbacks()
 */


class Aceptavacuna{

    /**
     * @var integer $id
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="hcue_amed.seq_id_aceptavacuna", allocationSize=1, initialValue=1)
     **/
    private $id;

    /**
     * @var datetime $fechacreacion
     * @ORM\Column(name="fechacreacion", type="datetime", nullable=false)
     **/
    private $fechacreacion;

    /**
     * @var datetime $fechamodificacion
     * @ORM\Column(name="fechamodificacion", type="datetime", nullable=true)
     **/
    private $fechamodificacion;

    /**
     * @var integer $cttipoidentificacion_id
     * @ORM\Column(name="cttipoidentificacion_id", type="integer", nullable=false)
     **/
    private $cttipoidentificacion_id;

    /**
     * @ORM\ManyToOne(targetEntity="Core\AppBundle\Entity\Catalogo")
     * @ORM\JoinColumn(name="cttipoidentificacion_id", referencedColumnName="id")
     **/
    private $cttipoidentificacion;

    /**
     * @var string $identificacion
     * @ORM\Column(name="identificacion", type="string",length=17)
     **/
    private $identificacion;

    /**
     * @var string $nombre
     * @ORM\Column(name="nombre", type="string",length=17)
     **/
    private $nombre;

    /**
     * @var string $correo
     * @ORM\Column(name="correo", type="string",length=60)
     **/
    private $correo;

    /**
     * @var integer $entidad_id
     * @ORM\Column(name="entidad_id", type="integer", nullable=false)
     **/
    private $entidad_id;

    /**
     * @ORM\ManyToOne(targetEntity="\Core\AppBundle\Entity\Entidad")
     * @ORM\JoinColumn(name="entidad_id", referencedColumnName="id")
     **/
    private $entidad;

    /**
     * @var datetime $fechanacimiento
     * @ORM\Column(name="fechanacimiento", type="datetime", nullable=false)
     **/
    private $fechanacimiento;

    /**
     * @var integer $ctsexo_id
     * @ORM\Column(name="ctsexo_id", type="integer", nullable=false)
     **/
    private $ctsexo_id;

    /**
     * @ORM\ManyToOne(targetEntity="Core\AppBundle\Entity\Catalogo")
     * @ORM\JoinColumn(name="ctsexo_id", referencedColumnName="id")
     **/
    private $ctsexo;

    /**
     * @var integer $ctestadocivil_id
     * @ORM\Column(name="ctestadocivil_id", type="integer", nullable=false)
     **/
    private $ctestadocivil_id;

    /**
     * @ORM\ManyToOne(targetEntity="Core\AppBundle\Entity\Catalogo")
     * @ORM\JoinColumn(name="ctestadocivil_id", referencedColumnName="id")
     **/
    private $ctestadocivil;

    /**
     * @var integer $estado
     * @ORM\Column(name="estado", type="integer", nullable=false)
     * @Assert\NotNull(message="Debe ingresar el campo estado")
     **/
    private $estado;

    /**
     * @var integer $vacuna_id
     * @ORM\Column(name="vacuna_id", type="integer", nullable=false)
     **/
    private $vacuna_id;

    /**
     * @ORM\ManyToOne(targetEntity="HCUE\AtencionMedicBundle\Entity\Vacuna")
     * @ORM\JoinColumn(name="vacuna_id", referencedColumnName="id")
     **/
    private $vacuna;

    /**
     * @var integer $alergia
     * @ORM\Column(name="alergia", type="integer", nullable=false)
     **/
    private $alergia;

    /**
     * @var integer $respiratoria
     * @ORM\Column(name="respiratoria", type="integer", nullable=false)
     **/
    private $respiratoria;

    /**
     * @var integer $hemorragia
     * @ORM\Column(name="hemorragia", type="integer", nullable=false)
     **/
    private $hemorragia;

    /**
     * @var integer $inmuno
     * @ORM\Column(name="inmuno", type="integer", nullable=false)
     **/
    private $inmuno;

    /**
     * @var integer $enfermedad
     * @ORM\Column(name="enfermedad", type="integer", nullable=false)
     **/
    private $enfermedad;

    /**
     * @var integer $embarazo
     * @ORM\Column(name="embarazo", type="integer", nullable=false)
     **/
    private $embarazo;

    /**
     * @var integer $lactancia
     * @ORM\Column(name="lactancia", type="integer", nullable=false)
     **/
    private $lactancia;

    /**
     * @var integer $covid
     * @ORM\Column(name="covid", type="integer", nullable=false)
     **/
    private $covid;

    /**
     * @var integer $usuariocreacion_id
     * @ORM\Column(name="usuariocreacion_id", type="integer", nullable=false)
     **/
    private $usuariocreacion_id;

    /**
     * @var integer $usuariomodificacion_id
     * @ORM\Column(name="usuariomodificacion_id", type="integer", nullable=true)
     **/
    private $usuariomodificacion_id;

    /**
     * @var integer  $cttiporegistro_id
     * @ORM\Column(name="cttiporegistro_id", type="integer", nullable=false)
     **/
    private $cttiporegistro_id;

    /**
     * @ORM\ManyToOne(targetEntity="Core\AppBundle\Entity\Catalogo")
     * @ORM\JoinColumn(name="cttiporegistro_id", referencedColumnName="id")
     **/
    private $cttiporegistro;


    /**
     * Get id
     * @return integer
     **/
    public function getId(){
        return $this->id;
    }

    /**
     * Get fechacreacion
     * @return datetime
     **/
    public function getFechacreacion(){
        return $this->fechacreacion;
    }

    /**
     * Get fechamodificacion
     * @return datetime
     **/
    public function getFechamodificacion(){
        return $this->fechamodificacion;
    }

    /**
     * Set cttipoidentificacion_id
     * @param integer cttipoidentificacion
     * @return Aceptavacuna
     **/
    public function setCttipoidentificacionId($cttipoidentificacion_id){
        $this->cttipoidentificacion_id = $cttipoidentificacion_id;
        return $this;
    }

    /**
     * Get cttipoidentificacion_id
     * @return integer
     **/
    public function getCttipoidentificacionId(){
        return $this->cttipoidentificacion_id;
    }

    /**
     * Set Aceptavacuna
     * @param \Core\AppBundle\Entity\Catalogo $cttipoidentificacion
     **/
    public function setCttipoidentificacion(\Core\AppBundle\Entity\Catalogo $cttipoidentificacion){
        $this->cttipoidentificacion = $cttipoidentificacion;
        return $this;
    }

    /**
     * Get cttipoidentificacion
     * @return \Core\AppBundle\Entity\Catalogo
     **/
    public function getCttipoidentificacion(){
        return $this->cttipoidentificacion;
    }

    /**
     * Set identificacion
     * @param string identificacion
     * @return Aceptavacuna
     **/
    public function setIdentificacion($identificacion){
        $this->identificacion = $identificacion;
       // return $this;
    }

    /**
     * Get identificacion
     * @return string
     **/
    public function getIdentificacion(){
        return $this->identificacion;
    }

    /**
     * Set nombre
     * @param string nombre
     * @return Aceptavacuna
     **/
    public function setNombre($nombre){
        $this->nombre = $nombre;
        return $this;
    }

    /**
     * Get identificacion
     * @return string
     **/
    public function getNombre(){
        return $this->nombre;
    }

    /**
     * Set correo
     * @param string correo
     * @return Aceptavacuna
     **/
    public function setCorreo($correo){
        $this->correo = $correo;
        return $this;
    }

    /**
     * Get correo
     * @return string
     **/
    public function getCorreo(){
        return $this->correo;
    }
    /**
     * Set entidad_id
     * @param integer entidad_id
     * @return Aceptavacuna
     **/
    public function setEntidadId($entidad_id){
        $this->entidad_id = $entidad_id;
        return $this;
    }

    /**
     * Get entidad_id
     * @return integer
     **/
    public function getEntidadId(){
        return $this->entidad_id;
    }

    /**
     * Set entidad
     * @param \Core\AppBundle\Entity\Entidad $entidad
     **/
    public function setEntidad(\Core\AppBundle\Entity\Entidad $entidad){
        $this->entidad = $entidad;
        return $this;
    }

    /**
     * Get entidad
     * @return \Core\AppBundle\Entity\Entidad
     **/
    public function getEntidad(){
        return $this->entidad;
    }

    /**
     * Set fechanacimiento
     * @param datetime fechanacimiento
     * @return Aceptavacuna
     **/
    public function setFechanacimiento($fechanacimiento){
        $this->fechanacimiento = new \DateTime($fechanacimiento);
        return $this;
    }

    /**
     * Get fechanacimiento
     * @return datetime
     **/
    public function getFechanacimiento(){
        return $this->fechanacimiento;
    }

    /**
     * Set ctsexo_id
     * @param integer ctsexo_id
     * @return Aceptavacuna
     **/
    public function setCtsexoId($ctsexo_id){
        $this->ctsexo_id = $ctsexo_id;
        return $this;
    }

    /**
     * Get ctsexo_id
     * @return integer
     **/
    public function getCtsexoId(){
        return $this->ctsexo_id;
    }

    /**
     * Set ctsexo
     * @param \Core\AppBundle\Entity\Catalogo $ctsexo
     **/
    public function setCtsexo(\Core\AppBundle\Entity\Catalogo $ctsexo){
        $this->ctsexo = $ctsexo;
        return $this;
    }

    /**
     * Get$ctsexo
     * @return \Core\AppBundle\Entity\Catalogo
     **/
    public function getCtsexo(){
        return $this->ctsexo;
    }

    /**
     * Set ctestadocivil_id
     * @param integer ctestadocivil_id
     * @return Aceptavacuna
     **/
    public function setCtestadocivilId($ctestadocivil_id){
        $this->ctestadocivil_id = $ctestadocivil_id;
        return $this;
    }

    /**
     * Get ctestadocivil_id
     * @return integer
     **/
    public function geCtestadocivilId(){
        return $this->ctestadocivil_id;
    }

src/HCUE/PacienteBundle/Form/Type/AceptavacunaType.php
<?php

/**
 * Vista de registro de formulario
 * @author Luis Nuñez
 */

namespace HCUE\PacienteBundle\Form\Type;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\HiddenType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Doctrine\ORM\EntityManager;
use HCUE\PacienteBundle\Entity\Constantes;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\Extension\Core\Type\TextareaType;
use Symfony\Component\Form\Extension\Core\Type\CheckboxType;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\DependencyInjection\Container;
use Doctrine\ORM\EntityRepository;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\Form\Extension\Core\Type\DateType;

class AceptavacunaType extends AbstractType
{

    private $em;
    private $container;

    public function __construct(EntityManager $entityManager,Container $container)
    {
        $this->em = $entityManager;
        $this->container=$container;
    }


    /**
     * @param FormBuilderInterface $builder
     * @param array                $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $aceptavacuna = $builder->getData();
        $repoCatalogo = $this->em->getRepository("CoreAppBundle:Catalogo");
        $repoParroquia = $this->em->getRepository("CoreAppBundle:Parroquia");
        $parroquia = $canton = $provincia =  $canton_id = $provincia_id= 0;
        $parroquia_id=$options['parroquia_id'];
        if($parroquia_id){
            $parroquia=$repoParroquia->find($parroquia_id);
            $canton=$parroquia->getCanton();
            $canton_id=$canton->getId();
            $provincia=$canton->getProvincia();
            $provincia_id=$provincia->getId();
        }
        $fechanacimiento="";
        if($aceptavacuna->getFechanacimiento()){
            $fechanacimiento=$aceptavacuna->getFechanacimiento()->format('d-m-Y');
        }
        $builder
            ->add('cttipoidentificacion', EntityType::class, array(
                'label' => 'Tipo identificación',
                'class' => 'CoreAppBundle:Catalogo',
                'choice_label' => 'descripcion',
                'choices' => $repoCatalogo->getCatalogo(Constantes::TC_TIPOIDENTIFICACION),
                'placeholder' => '--Seleccione--',
                'empty_data' => null,
                'attr' => array(
                    'class' => 'input-sm required',
                )
            ))
            ->add('identificacion',TextType::class, array(
                'label' => 'Identificación',
                'attr' => array(
                    'class' => 'required',
                    'placeholder' => '',
                )
            ))
            ->add('nombre',TextType::class, array(
                'label' => 'Nombre Completo',
                'attr' => array(
                    'class' => 'required',
                    'placeholder' => 'Apellidos y Nombres',
                )
            ))
            ->add('fechanacimiento',TextType::class, array(
                'label' => 'Fecha de nacimiento',
                'mapped'=>false,
                'data' =>$fechanacimiento,
                'attr' => array(
                    'class' => 'required',
                    'placeholder' => '',
                )
            ))
            ->add('ctsexo', EntityType::class, array(
                'label' => 'Sexo',
                'class' => 'CoreAppBundle:Catalogo',
                'choice_label' => 'descripcion',
                'choices' => $repoCatalogo->getCatalogo(Constantes::TC_SEXO),
                'placeholder' => '--Seleccione--',
                'empty_data' => null,
                'attr' => array(
                    'class' => 'input-sm required',
                )
            ))
            ->add('ctestadocivil', EntityType::class, array(
                'label' => 'Estado civil',
                'class' => 'CoreAppBundle:Catalogo',
                'choice_label' => 'descripcion',
                'choices' => $repoCatalogo->getCatalogo(Constantes::TC_ESTADOCIVIL),
                'placeholder' => '--Seleccione--',
                'empty_data' => null,
                'attr' => array(
                    'class' => 'input-sm required',
                )
            ))
            ->add('correo',TextType::class, array(
                'label' => 'Correo electrónico para notificaciones',
                //'required'    => false,
                'attr' => array(
                    'placeholder' => '',
                )
            ))
            ->add('provincia', EntityType::class, array(
                'label' => 'Provincia',
                'mapped' => false,
                'class' => 'CoreAppBundle:Provincia',
                'choices' => $this->em->getRepository("CoreAppBundle:Provincia")
                    ->getProvincias(false,1),
                'choice_label' => 'getCodigoAndDescripcion',
                'placeholder' => '--Seleccione--',
                'empty_data' => null,
                'data' => $provincia,
                'attr' => array(
                    'class' => 'chosen-select input-sm'
                    //, 'disabled' => true
                )
            ))
            ->add('canton', EntityType::class, array(
                'label' => 'Cantón',
                'mapped' => false,
                'class' => 'CoreAppBundle:Canton',
                'choice_label' => 'getCodigoAndDescripcion',
                'placeholder' => '--Seleccione--',
                'empty_data' => null,
                'data' => $canton,
                'choices' => $this->em->getRepository("CoreAppBundle:Canton")
                    ->getCantones($provincia_id),
                'attr' => array(
                    'class' => 'chosen-select input-sm'
                    //,'disabled' => true
                )
            ))
            ->add('parroquia', EntityType::class, array(
                'label' => 'Parroquia',
                'mapped' => false,
                'class' => 'CoreAppBundle:Parroquia',
                'choice_label' => 'getCodigoAndDescripcion',
                'placeholder' => '--Seleccione--',
                'empty_data' => null,
                'data' => $parroquia,
                'choices' => $this->em->getRepository("CoreAppBundle:Parroquia")
                    ->getParroquias($canton_id),
                'attr' => array(
                    'class' => 'chosen-select input-sm'
                    //, 'disabled' => true
                )
            ))


        ;
    }

    /**
     * @param OptionsResolver $resolver
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'HCUE\PacienteBundle\Entity\Aceptavacuna',
            "modo"       => null,
            'parroquia_id' => null
        ));
    }

    public function getName()
    {
        return "aceptavacuna";
    }
}

src/HCUE/PacienteBundle/Resources/views/Aceptavacuna/edit.html.twig
{% set CT_ACEPTA_VACUNA_REGISTRO_USUARIO_PRAS=constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_ACEPTA_VACUNA_REGISTRO_USUARIO_PRAS') %}


{% extends 'HCUEPacienteBundle::layout.html.twig' %}
{% block title %}Paciente {% endblock title %}
{% block bradcrumbs '' %}
    {% block page_header_content '' %}
        {% block page_main_content %}
            <div class="page-header">
                <h1>Aceptación vacunas </h1>
            </div>
            <div class="row">


                {% if form is defined and not form is empty %}
                    {% form_theme form  'bootstrap_3_layout.html.twig' %}

                    {% set myaction=path('hcue_paciente_paciente_save_acepta_vacuna') %}
                    <br>
                    {{ form_start(form, {'action': myaction,'attr': {'id': 'frmaceptavacuna'}}) }}
                    {{ form_errors(form) }}
                    <input id="aceptavacuna_vacunaid" type="hidden" name="aceptavacuna[id]" value="{{ aceptavacuna.id }}">
                    <input id="aceptavacuna_vacunaid" type="hidden" name="aceptavacuna[vacuna_id]" value="{{ aceptavacuna.vacunaId }}">
                    <input id="aceptavacuna_cttiporegistroid" type="hidden" name="aceptavacuna[cttiporegistro_id]" value="{{ CT_ACEPTA_VACUNA_REGISTRO_USUARIO_PRAS }}">

                    <div >
                        <div>
                            <div class="row">
                                <div class="col-sm-4 form-group">
                                    {{form_label(form.cttipoidentificacion)}}
                                    <br>
                                    <b>{{aceptavacuna.cttipoidentificacion.descripcion }}</b>
                                    {{form_widget(form.cttipoidentificacion,{ 'attr': {'class': 'form-control ','style':'width:100%; visibility: hidden; ','readonly':'readonly'} })}}
                                </div>
                                <div class="col-sm-4 form-group">
                                    {{form_label(form.identificacion)}}
                                    <br>
                                     <b>{{aceptavacuna.identificacion }}</b>
                                    {{form_widget(form.identificacion,{ 'attr': {'class': 'form-control ','style':'width:100%; visibility: hidden;','readonly':'readonly'} })}}
                                </div>
                                <div class="col-sm-4 form-group">
                                    {{form_label(form.nombre)}}
                                    <br>
                                    <b>{{aceptavacuna.nombre }}</b>
                                    {{form_widget(form.nombre,{ 'attr': {'class': 'form-control ','style':'width:100%; visibility: hidden;'} })}}
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-4 form-group">
                                    {{form_label(form.fechanacimiento)}}
                                    <br>
                                    <b>{{aceptavacuna.fechanacimiento |  date("d-m-Y")  }}</b>
                                    {{form_widget(form.fechanacimiento,{ 'attr': {'class': 'form-control ','style':'width:100%; visibility: hidden;', 'readonly':'readonly', 'value':aceptavacuna.fechanacimiento |  date("d-m-Y")}})}}
                                </div>
                                <div class="col-sm-4 form-group">
                                    {{form_label(form.ctsexo)}}
                                    <br>
                                    <b>{{aceptavacuna.ctsexo.descripcion }}</b>
                                    {{form_widget(form.ctsexo,{ 'attr': {'class': 'form-control ','style':'width:100%; visibility: hidden;', 'readonly':'readonly'} })}}
                                    
                                </div>
                                <div class="col-sm-4 form-group">
                                    {{form_label(form.ctestadocivil)}}
                                    <br>       
                                    <b>{{aceptavacuna.ctestadocivil.descripcion }}</b>                   
                                    {{form_widget(form.ctestadocivil,{ 'attr': {'class': 'form-control ','style':'width:100%; visibility: hidden; ', 'readonly':'readonly', } })}}
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-4 form-group">
                                    {{form_label(form.correo)}}
                                    <br>
                                    {{form_widget(form.correo,{  'attr': {'class': 'form-control lower email','style':'width:100%'} })}}
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3 form-group">
                                    {{form_label(form.alergia)}}
                                    <br>
                                    <br>
                                    {{form_widget(form.alergia,{ 'attr': {'class': 'form-control ','style':'width:100%'} })}}
                                </div>
                                <div class="col-sm-3 form-group">
                                    {{form_label(form.respiratoria)}}
                                    <br>
                                    {{form_widget(form.respiratoria,{ 'attr': {'class': 'form-control ','style':'width:100%'} })}}
                                </div>
                                <div class="col-sm-3 form-group">
                                    {{form_label(form.hemorragia)}}
                                    <br>
                                    {{form_widget(form.hemorragia,{ 'attr': {'class': 'form-control ','style':'width:100%'} })}}
                                </div>
                                <div class="col-sm-3 form-group">
                                    {{form_label(form.inmuno)}}
                                    <br>
                                    {{form_widget(form.inmuno,{ 'attr': {'class': 'form-control ','style':'width:100%'} })}}
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3 form-group">
                                    {{form_label(form.enfermedad)}}
                                    <br>
                                    <br>
                                    {{form_widget(form.enfermedad,{ 'attr': {'class': 'form-control ','style':'width:100%'} })}}
                                </div>
                                <div class="col-sm-3 form-group">
                                    {{form_label(form.covid)}}
                                    <br>
                                    <br>
                                    <br>
                                    <br>
                                    {{form_widget(form.covid,{ 'attr': {'class': 'form-control ','style':'width:100%'} })}}
                                </div>
                                <div class="col-sm-3 form-group preguntamujer">
                                    {{form_label(form.embarazo)}}
                                    <br>
                                    {{form_widget(form.embarazo,{ 'attr': {'class': 'form-control ','style':'width:100%'} })}}
                                </div>
                                <div class="col-sm-3 form-group preguntamujer">
                                    {{form_label(form.lactancia)}}
                                    <br>
                                    <br>
                                    <br>
                                    <br>
                                    {{form_widget(form.lactancia,{ 'attr': {'class': 'form-control ','style':'width:100%'} })}}
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-sm-4 form-group">
                                    {{form_label(form.estado)}}
                                    <br>
                                    {{form_widget(form.estado,{ 'attr': {'class': 'form-control ','style':'width:100%'} })}}
                                </div>
                            </div>
                        </div>
                                <button id="send_form" type="button" class="width-35 btn btn-sm btn-primary">
                                    <i class="ace-icon fa fa-send"></i>
                                    <span class="bigger-110">Enviar</span>
                                </button>
                            </center>
                        </div>
                    </div>

                    {{ form_end(form) }}
                {%endif%}

            </div>



        {% endblock page_main_content %}
        {% block foot_script %}
            {{ parent() }}

            <script type="text/javascript">

                var sexo=$('#aceptavacuna_ctsexo').val();
                var cttipoidentificacion=$('#aceptavacuna_cttipoidentificacion').val();
                if(sexo){
                    actualizaSexo(sexo);
                    $('#aceptavacuna_ctsexo').attr('disabled',true);
                }

                $.include_once('bootstrap.datetimepicker', function () {
                    $('#aceptavacuna_fechanacimiento').datetimepicker({
                        format: 'DD-MM-YYYY',
                        maxDate: new Datecttipoidentificacion
                    })
                })


                function actualizaSexo(valor){
                    $('#aceptavacuna_embarazo, #aceptavacuna_lactancia').val(0);
                    $('#aceptavacuna_embarazo, #aceptavacuna_lactancia').attr('required',true);
                    $('#aceptavacuna_embarazo, #aceptavacuna_lactancia').parent().show();
                    if(valor == 16){
                        $('#aceptavacuna_embarazo, #aceptavacuna_lactancia').attr('required',false);
                        $('#aceptavacuna_embarazo, #aceptavacuna_lactancia').parent().hide();
                    }

                }

                $( document ).ready(function() {
                    $('#frmaceptavacuna').initInputsForm();
                    $("#frmaceptavacuna").validationForm();


                   // $('#aceptavacuna_cttipoidentificacion').val('{{ aceptavacuna.cttipoidentificacionId }}');
                    //$('#aceptavacuna_cttipoidentificacion, #aceptavacuna_identificacion').attr("readonly","readonly");


                    if($('#aceptavacuna_fechanacimiento').val()){
                        $('#aceptavacuna_fechanacimiento').attr("readonly","readonly")
                    }
                    if($('#aceptavacuna_nombre').val()){
                        $('#aceptavacuna_nombre').attr("readonly","readonly")
                    }




                    $('#send_form').click(function (){
                        var email=$("#aceptavacuna_correo").val();
                        $.confirm("<div class='alert alert-warning center'>Antes de guardar verifique que email para la recepción de certificaciones sea el correcto: <b>"+email+"</b> , Está seguro de guardar esta información ?</div>", function (result) {
                            if (result) {
                                $('#aceptavacuna_ctestadocivil, #aceptavacuna_ctsexo, #aceptavacuna_cttipoidentificacion ').attr('disabled',false)
                                if ($("#frmaceptavacuna").valid()) {
                                    $.processWait.show();
                                    $.ajax({
                                        type: 'POST',
                                        dataType: 'json',
                                        async: true,
                                        url:  $("#frmaceptavacuna").attr('action'),
                                        data: $("#frmaceptavacuna").serialize(),
                                        success: function (json) {
                                            $.processWait.hide();
                                            if (json.status) {
                                                $.alert(json.message, 'success', function(){
                                                    window.location.href = "{{ path('hcue_paciente_acepta_vacuna') }}/{{ menuactivo }}";
                                                });
                                            } else {
                                                $.alert(json.message, 'danger');

                                            }
                                        }
                                    })
                                }
                                else{
                                    $.alert('Debe registrar todos los campos', 'danger');
                                }
                            }
                        });

                    })

                });
            </script>
        {% endblock foot_script %}